|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerWidgetFactoryInterface Class Reference

The QDesignerWidgetFactoryInterface class provides an interface that is used to control the widget factory used by Qt Designer. More...

    #include <QDesignerWidgetFactoryInterface>

Part of the QtDesigner module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QDesignerWidgetFactoryInterface ( QObject * parent = 0 )
- virtual ~QDesignerWidgetFactoryInterface ()
- virtual QWidget * containerOfWidget ( QWidget * child ) const = 0
- virtual QDesignerFormEditorInterface * core () const = 0
- virtual QLayout * createLayout ( QWidget * widget, QLayout * layout, int type ) const = 0
- virtual QWidget * createWidget ( const QString & name, QWidget * parent = 0 ) const = 0
- virtual void initialize ( QObject * object ) const = 0
- virtual bool isPassiveInteractor ( QWidget * widget ) = 0
- virtual QWidget * widgetOfContainer ( QWidget * container ) const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QDesignerWidgetFactoryInterface class provides an interface that is used to control the widget factory used by Qt Designer.

## Member Function Documentation

### QDesignerWidgetFactoryInterface::QDesignerWidgetFactoryInterface ( QObject * parent = 0 )

Constructs an interface to a widget factory with the given parent.

### QDesignerWidgetFactoryInterface::~QDesignerWidgetFactoryInterface () `[virtual]`

### QWidget * QDesignerWidgetFactoryInterface::containerOfWidget ( QWidget * child ) const `[pure virtual]`

Returns the widget that contains the specified child widget.

### QDesignerFormEditorInterface * QDesignerWidgetFactoryInterface::core () const `[pure virtual]`

Returns the core form editor interface associated with this interface.

### QLayout * QDesignerWidgetFactoryInterface::createLayout ( QWidget * widget, QLayout * layout, int type ) const `[pure virtual]`

Returns a new layout of the specified type for the given widget or layout.

### QWidget * QDesignerWidgetFactoryInterface::createWidget ( const QString & name, QWidget * parent = 0 ) const `[pure virtual]`

Returns a new widget with the given name and parent widget. If no parent is specified, the widget created will be a top-level widget.

### void QDesignerWidgetFactoryInterface::initialize ( QObject * object ) const `[pure virtual]`

### bool QDesignerWidgetFactoryInterface::isPassiveInteractor ( QWidget * widget ) `[pure virtual]`

### QWidget * QDesignerWidgetFactoryInterface::widgetOfContainer ( QWidget * container ) const `[pure virtual]`